[Prev: GMTDATEFMT] | [Resources][TOC] | [Next: GZIPFILES]

# GZIPEXE

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_GZIPEXE=`pathname

Element

  `<GZIPEXE>`
  pathname
  `</GZIPEXE>`

Command-line Option

  `-gzipexe` pathname

## Description

GZIPEXE defines the pathname of the gzip executable. MHonArc automatically invokes gzip to decompress files with a "`.gz`" extension. Gzip is also invoked for compressing files when the GZIPFILES resource is set.

If the value of GZIPEXE is not an absolute pathname, then gzip should exist in your search path.

## Default Setting

`gzip`

## Resource Variables

N/A

## Examples

This example is not specific to GZIPEXE, but the following sample invocation:

        % mhonarc mailbox.gz

can be done if MHonArc is able to invoke gzip. Therefore, you do not have to manually ungzip the mailbox first or use a pipe to decompress the data before passing it to MHonArc.

## Version

2.1.0

## See Also

GZIPFILES, GZIPLINKS

[Prev: GMTDATEFMT] | [Resources][TOC] | [Next: GZIPFILES]